/* POVRay input file for "Bug on Notes of Thurston" */
/* by Jeff Brock <jeff.brock@gmail.com>             */
/* and David Dumas <daviddumas@gmail.com>           */

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "glass.inc"

global_settings {
	assumed_gamma 1.0
	max_trace_level 30
}

camera {
        location <0, -1, 3>*0.665 + <0.12,-0.025,0>
	sky 0.8*(image_width/image_height)*<0 0 1>
	right 0.8*(image_width/image_height)*<1 0 0>
	up 0.8*<0 0 1>
        look_at <0,-0.1,0> + <0.12,-0.025,0>
}
 
light_source {
        <0, 0, 50>
        color rgb <1,1,1>
}

background { color Black }

plane { <0, 0, 1>, -2
	texture {
		pigment {
			image_map { 
				png "mickeymouse.png"
				map_type 0
				once
			}
			translate <-0.45,-0.45>
		}
		scale 5.9
	}
}

#macro make_sphere(cx, cy, rad)
sphere { <cx,cy,0>, rad }
#end


#declare DataFileName = "bug-on-notes.spheres"

merge { 
#include DataFileName
  material {
    texture {
      pigment { color Clear }
      finish { F_Glass5 }
    }
    interior {
      I_Glass1
      fade_color rgb <0.2,0.2,1>
      fade_power 1.5
      fade_distance 0.05
    }
  }
  no_shadow
  scale 1.2
  rotate 120*z
  translate <0,-0.15,0.15>
}
